package ru.micord.ervu.journal;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

@JsonIgnoreProperties(ignoreUnknown = true)
public class JournalFileStatus {

  @JsonProperty("code")
  private Integer code;
  @JsonProperty("status")
  private String status;
  @JsonProperty("description")
  private String description;

  public Integer getCode() {
    return code;
  }

  public JournalFileStatus setCode(Integer code) {
    this.code = code;
    return this;
  }

  public String getStatus() {
    return status;
  }

  public JournalFileStatus setStatus(String status) {
    this.status = status;
    return this;
  }

  public String getDescription() {
    return description;
  }

  public JournalFileStatus setDescription(String description) {
    this.description = description;
    return this;
  }
}
